QGIS Application - Feature request #4774
Add area, length etc. triggers to DB Manager
2012-01-11 05:32 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: DB Manager

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14631
Description

With triggers. See PostGIS Manager

History

#1 - 2012-02-24 02:40 PM - Oleg Seliverstov

Add GUI tools for PostGIS Spatial Measurements and Geometry Processing Functions

http://www.postgis.org/docs/reference.html

#2 - 2013-01-18 01:34 AM - Giovanni Manghi
- Project changed from 27 to QGIS Application

#3 - 2013-01-18 01:37 AM - Giovanni Manghi
- Category set to DB Manager

#4 - 2013-01-18 01:43 AM - Giovanni Manghi

- Assignee deleted (Giuseppe Sucameli)

#5 - 2016-01-15 02:04 PM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

| think this is implemented in QGIS 2.13 (the sql dictionnary of DB Manager has measurement and processing functions).

Is there anything missing on this old feature request ?

#6 - 2016-01-16 12:29 AM - Paolo Cavallini
- Status changed from Feedback to Open

Sorry | was unclear. I'm talking about the old function present in the previous PostGIS Manager, not ported to DB Manager.
With that, the user could easily add a new column with the geom measurement (area, perimeter, length etc. as appropriate), and at the same time adding a
trigger for the update of the values on update or insert.

#7 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
http://www.postgis.org/docs/reference.html

#8 - 2018-02-23 05:26 PM - Paolo Cavallini

Still true in QGIS 3

#9 - 2018-02-23 05:27 PM - Paolo Cavallini
- Subject changed from Add geometry processing to Add area, length etc. triggers to DB Manager
